Name:		libsyncml
Version:	0.4.2
Release:	1%{?dist}
Summary:	SyncML protocol library

Group:		System Environment/Libraries
License:	LGPL
URL:		http://libsyncml.opensync.org/
# Get the tarball from http://libsyncml.opensync.org/attachment/wiki/download/%{name}-%{version}.tar.gz?rev=&format=raw
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Upstream patch submitted to SVN after the release.
Patch0:		libsyncml-0.4.2.doctype.patch

BuildRequires:	wbxml2-devel libxml2-devel libsoup-devel
BuildRequires:	openobex-devel bluez-libs-devel

%description
%{summary}.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

# Fix some permissions
chmod a-x libsyncml/syncml.h

%build
%configure --disable-static --disable-unit-tests

# Disable rpath.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/syncml-http-server
%{_bindir}/syncml-obex-client
%{_libdir}/libsyncml.so.0*
%{_mandir}/man1/syncml-http-server.1.gz
%{_mandir}/man1/syncml-obex-client.1.gz

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_includedir}/libsyncml-1.0/
%{_libdir}/libsyncml.so
%exclude %{_libdir}/libsyncml.la
%{_libdir}/pkgconfig/libsyncml-1.0.pc


%changelog
* Mon Nov 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.2-1
- Initial release for Fedora Extras.
